---
id: bucket-disallows-acl
title: The bucket does not allow ACLs
---

If you encounter the following error while rendering a video on Remotion Lambda:

```
AccessControlListNotSupported: The bucket does not allow ACLs
```

You are trying to render into a bucket that has the ACL feature disabled and handles its permissions in a different way, for example through bucket policies.

## Solution

Pass `no-acl` to the `privacy` option of [`renderMediaOnLambda()`](/docs/lambda/rendermediaonlambda#privacy), [`renderStillOnLambda()`](/docs/lambda/renderstillonlambda#privacy) or [`npx remotion lambda render`](/docs/lambda/cli/render#--privacy).
