---
id: support
title: Support Policy
---

We welcome you to ask questions and invest a lot of time into supporting our users. Follow the steps below if have a question that you would like to get answered.

The Remotion team provides **no guarantee** for support, and you should not hold the expectation to receive any help.

## How to ask for help

The best way to get help is to ask in public channels like [GitHub issues](https://github.com/remotion-dev/remotion/issues) or the [Discord](https://remotion.dev/discord) channel. The more people can see your question, the more likely it is that you get a fast and helpful answer.

Do not send direct messages to Remotion team members asking for technical help, unless instructed to do so or if your question contains private information that you cannot share publicly. The Remotion team will deprioritize support requests sent via private channels.

Remotion relies heavily on React, CSS and JavaScript. Consider whether your question is about Remotion itself and choose the most appropriate channnel.

Search [GitHub issues](https://github.com/remotion-dev/remotion/issues) and [our website](/search) first. We have over 200 documentation pages answering a variety of questions.

Ask your question directly and provide relevant information such as which version of Remotion you are using (`npx remotion versions`). If you encounter an error, post the stack trace, track down the code that causes it and provide it as well.

## Prioritized support

Company license customers can get a <span style={{
  fontWeight: "bold",
  color: "#0B84F3"
}}><img style={{height: 20, verticalAlign: "middle"}} src="/img/blue-heart.png"/> Company License</span> badge on Discord for each developer seat they subscribe to. The badge can be activated on [companies.remotion.dev](https://companies.remotion.dev).

If posted in a public channel, the Remotion team will try to prioritize your question, albeit no guarantee of support is given.

We still expect company license subscribers to follow the best practices for asking questions outlined above.

## Paid consulting

You can request a consultation session [here](https://cal.com/remotion). Remotion's creator Jonny Burger will help you with answers and code to technical questions. This is the only way to receive support via video call.

## When we can't help

We don't provide support if:

- the guidelines above were not followed
- low effort was put into first solving the problem yourself
- your question is lacking reproduction or information
- the cause of problems is due to poor React or JavaScript skills
- our [Code of Conduct](https://remotion.dev/coc) is violated

Remotion is targeted towards developers and therefore basic skills in React and web development are expected. You should also be mindful of the limitations of those technologies as we cannot help you overcome them.
